Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-101374

Fix "none" traceback when editing dataset

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Done (View Workflow)
    • Priority: Low
    • Resolution: Complete
    • Affects Version/s: 11.2-U4
    • Fix Version/s: 11.2-U4
    • Component/s: Middleware
    • Labels:
      None

      Description

      While testing ticket NAS-101004, attempted to edit a dataset (specifically for inherit purposes).  Modified Sync, Compression Level, Enable Atime & ZFS Deduplication and received the following:

      ____________________________________________________________________________

      [EFAULT] Failed to update dataset: use 'none' to disable quota/refquota

      add_circle_outline More info...
       

      Error: concurrent.futures.process._RemoteTraceback:
      """
      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 327, in do_update
          dataset.properties[k] = prop
        File "libzfs.pyx", line 374, in libzfs.ZFS.__exit__
        File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 316, in do_update
          prop.value = v['value']
        File "libzfs.pyx", line 1069, in libzfs.ZFSProperty.value.__set__
      libzfs.ZFSException: use 'none' to disable quota/refquota

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
          r = call_item.fn(*call_item.args, **call_item.kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 131, in main_worker
          res = loop.run_until_complete(coro)
        File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
          return future.result()
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 91, in _run
          return await self._call(name, serviceobj, methodobj, params=args, job=job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 84, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _call
          return await methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/service.py", line 295, in update
          f'{self._config.namespace}.update', self, self.do_update, [id, data]
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 84, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 84, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 331, in do_update
          raise CallError(f'Failed to update dataset: {e}')
      middlewared.service_exception.CallError: [EFAULT] Failed to update dataset: use 'none' to disable quota/refquota
      """

      The above exception was the direct cause of the following exception:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 166, in call_method
          result = await self.middleware.call_method(self, message)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1097, in call_method
          return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1045, in _call
          return await methodobj(*args)
        File "/usr/local/lib/python3.6/site-packages/middlewared/service.py", line 295, in update
          f'{self._config.namespace}.update', self, self.do_update, [id, data]
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1045, in _call
          return await methodobj(*args)
        File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 664, in nf
          return await f(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/pool.py", line 757, in do_update
          rv = await self.middleware.call('zfs.dataset.update', id, {'properties': props})
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1101, in call
          return await self._call(name, serviceobj, methodobj, params, app=app, pipes=pipes, io_thread=True)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1042, in _call
          return await self._call_worker(name, *args)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1062, in _call_worker
          return await self.run_in_proc(main_worker, name, args, job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 996, in run_in_proc
          return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 972, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      middlewared.service_exception.CallError: [EFAULT] Failed to update dataset: use 'none' to disable quota/refquota

       

        Attachments

        1. dataset.png
          dataset.png
          42 kB
        2. dataset1.png
          dataset1.png
          44 kB

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                william William Grzybowski
                Reporter:
                jervin Jeff Ervin
                Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:

                    Summary Panel